cURL
curl --request PUT \
--url https://api.feedspace.io/v3/contacts/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipcode": "<string>",
"company": "<string>",
"date_added": "2023-12-25"
}
'import requests
url = "https://api.feedspace.io/v3/contacts/{id}"
payload = {
"name": "<string>",
"phone": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipcode": "<string>",
"company": "<string>",
"date_added": "2023-12-25"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone: '<string>',
country: '<string>',
state: '<string>',
city: '<string>',
zipcode: '<string>',
company: '<string>',
date_added: '2023-12-25'
})
};
fetch('https://api.feedspace.io/v3/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"primary_source": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"zipcode": "<string>",
"company": "<string>",
"date_added": "<string>",
"date_added_label": "<string>",
"is_unsubscribed": true,
"unsubscribe_reason": "<string>",
"unsubscribed_at": "<string>",
"enriched_at": "<string>",
"tag_ids": [
123
],
"has_reviewed": true,
"created_at": "<string>",
"updated_at": "<string>"
}
}Contacts
Update Contact
Update a contact’s profile fields. Only the fields you send are changed. Email, source, and subscription state cannot be changed here (use the upsert for email, and the unsubscribe endpoint for subscription state).
PUT
/
contacts
/
{id}
cURL
Update a contact’s profile fields. Only the fields you send are changed. Email and source cannot be changed here; use Create or Update Contact for email and the Unsubscribe endpoint for subscription state.
Authorizations
HTTP Basic Authentication using API Key and Secret Key. The credentials should be Base64 encoded in the format 'api_key:secret_key'. You can obtain your API Key and Secret Key from Feedspace → Automation → API (https://app.feedspace.io/automation/api).
Path Parameters
Numeric contact ID.
Example:
8801
Body
application/json
Maximum string length:
255Maximum string length:
50Maximum string length:
100Maximum string length:
100Maximum string length:
100Maximum string length:
20Maximum string length:
255YYYY-MM-DD. Common date formats are accepted and normalised.
Response
200 - application/json
Contact updated successfully.
Show child attributes
Show child attributes
⌘I